IFAPI_Key_SetCertificate Struct Reference

`#include <fapi_int.h>`

## Data Fields

const char * | pem_cert
char * | pem_cert_dup
const char * | key_path
NODE_STR_T * | path_list
IFAPI_OBJECT | key_object

## Detailed Description

The data structure holding internal state of Fapi_Key_Setcertificate.

## Field Documentation

## key_object

IFAPI_OBJECT key_object

The IPAPI object for the certified key

## key_path

const char* key_path

The absolute key path

## path_list

NODE_STR_T* path_list

The computed explicit path

## pem_cert

const char* pem_cert

The certifificate in pem or format

## pem_cert_dup

char* pem_cert_dup

The allocate certifificate

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h